POT crash on event_queue_insert()

Bug #790998 reported by Valentine Gostev on 2011-06-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
percona-projects-qa
Critical
Laurynas Biveinis

Bug Description

rpl.rpl_timezone 'mix' w1 [ fail ]
        Test ended at 2011-05-31 15:37:57

CURRENT_TEST: rpl.rpl_timezone

The server [mysqld.1 - pid: 28392, winpid: 28392, exit: 256] crashed while running 'check warnings'
Server log from this test:
----------SERVER LOG START-----------
110601 6:37:54 InnoDB: !!!!!!!! UNIV_DEBUG switched on !!!!!!!!!
110601 6:37:54 InnoDB: The InnoDB memory heap is disabled
110601 6:37:54 InnoDB: Mutexes and rw_locks use GCC atomic builtins
110601 6:37:54 InnoDB: Compressed tables use zlib 1.2.3
110601 6:37:54 InnoDB: Using Linux native AIO
110601 6:37:54 InnoDB: Initializing buffer pool, size = 8.0M
110601 6:37:54 InnoDB: Completed initialization of buffer pool
110601 6:37:54 InnoDB: highest supported file format is Barracuda.
110601 6:37:54 InnoDB: Waiting for the background threads to start
110601 6:37:55 InnoDB: 1.1.6 started; log sequence number 1595675
110601 6:37:56 [Note] Event Scheduler: Loaded 0 events
110601 6:37:56 [Note] /mnt/x25m/gval/r3483/sql/mysqld: ready for connections.
Version: '5.5.12-debug-log' socket: '/mnt/x25m/gval/r3483/mysql-test/var/tmp/1/mysqld.1.sock' port: 13000 Source distribution
110601 6:37:56 [Note] Start binlog_dump to slave_server(2), pos(master-bin.000001, 4)
110601 6:37:57 - mysqld got signal 11 ;
This could be because you hit a bug. It is also possible that this binary
or one of the libraries it was linked against is corrupt, improperly built,
or misconfigured. This error can also be caused by malfunctioning hardware.
We will try our best to scrape up some info that will hopefully help diagnose
the problem, but since we have already crashed, something is definitely wrong
and this may fail.

key_buffer_size=1048576
read_buffer_size=131072
max_used_connections=6
max_threads=21
thread_count=1
connection_count=1
It is possible that mysqld could use up to
key_buffer_size + (read_buffer_size + sort_buffer_size)*max_threads = 10897 K
bytes of memory
Hope that's ok; if not, decrease some variables in the equation.

Thread pointer: 0x0
Attempting backtrace. You can use the following information to find out
where mysqld died. If you see no messages after this, something went
terribly wrong...
stack_bottom = (nil) thread_stack 0x40000
/mnt/x25m/gval/r3483/sql/mysqld(my_print_stacktrace+0x32)[0x8c8316]
/mnt/x25m/gval/r3483/sql/mysqld(handle_segfault+0x342)[0x539316]
/lib64/libpthread.so.0[0x3fccc0eb10]
/mnt/x25m/gval/r3483/sql/mysqld[0xb7ec1a]
/mnt/x25m/gval/r3483/sql/mysqld(event_active+0x6e)[0xb7e347]
/mnt/x25m/gval/r3483/sql/mysqld[0xb7e703]
/mnt/x25m/gval/r3483/sql/mysqld(event_base_loop+0x16b)[0xb7d969]
/mnt/x25m/gval/r3483/sql/mysqld(event_loop+0x1d)[0xb7d7fc]
/mnt/x25m/gval/r3483/sql/mysqld(libevent_thread_proc+0x129)[0x6afeed]
/lib64/libpthread.so.0[0x3fccc0673d]
/lib64/libc.so.6(clone+0x6d)[0x3fcc4d3f6d]
The manual page at http://dev.mysql.com/doc/mysql/en/crashing.html contains
information that should help you find out what is causing the crash.
Writing a core file

----------SERVER LOG END-------------
mysqltest failed but provided no output
The result from queries just before the failure was:
< snip >
CREATE TABLE t1 (date timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP, a int(11) default NULL);
SET @@session.time_zone='+01:00';
insert into t1 values('2008-12-23 19:39:39',1);
SET @@session.time_zone='+02:00';
insert delayed into t1 values ('2008-12-23 19:39:39',2);
flush table t1;
flush logs;
select * from t1;
date a
2008-12-23 20:39:39 1
2008-12-23 19:39:39 2
DROP TABLE t1;
select * from t1 order by a;
date a
2008-12-23 20:39:39 1
2008-12-23 19:39:39 2
DROP TABLE t1;
SET @@session.time_zone = default;
include/rpl_end.inc
End of 5.0 tests

 - saving '/mnt/x25m/gval/r3483/mysql-test/var/1/log/rpl.rpl_timezone-mix/' to '/mnt/x25m/gval/r3483/mysql-test/var/log/rpl.rpl_timezone-mix/'
 - found 'core.28393' (0/5)

Trying 'dbx' to get a backtrace

Trying 'gdb' to get a backtrace
Core generated by '/mnt/x25m/gval/r3483/sql/mysqld'
Output from gdb follows. The first stack trace is from the failing thread.
The following stack traces are from all threads (so the failing one is
duplicated).
--------------------------
[New Thread 28651]
[New Thread 28650]
[New Thread 28649]
[New Thread 28648]
[New Thread 28647]
[New Thread 28646]
[New Thread 28645]
[New Thread 28644]
[New Thread 28643]
[New Thread 28642]
[New Thread 28641]
[New Thread 28640]
[New Thread 28639]
[New Thread 28637]
[New Thread 28636]
[New Thread 28635]
[New Thread 28634]
[New Thread 28633]
[New Thread 28632]
[New Thread 28631]
[New Thread 28444]
[New Thread 28443]
[New Thread 28442]
[New Thread 28441]
[New Thread 28431]
[New Thread 28430]
[New Thread 28429]
[New Thread 28428]
[New Thread 28427]
[New Thread 28426]
[New Thread 28393]
Core was generated by `/mnt/x25m/gval/r3483/sql/mysqld --defaults-group-suffix=.1 --defaults-file=/mnt/'.
Program terminated with signal 11, Segmentation fault.
#0 0x0000003fccc0bd02 in pthread_kill () from /lib64/libpthread.so.0
#0 0x0000003fccc0bd02 in pthread_kill () from /lib64/libpthread.so.0
#1 0x00000000008c8393 in my_write_core (sig=11) at /mnt/x25m/gval/r3483/mysys/stacktrace.c:423
#2 0x00000000005395a7 in handle_segfault (sig=11) at /mnt/x25m/gval/r3483/sql/mysqld.cc:2546
#3 <signal handler called>
#4 0x0000000000b7ec1a in event_queue_insert (base=0x0, ev=0x57dbbe0, queue=8) at /mnt/x25m/gval/r3483/extra/libevent/event.c:948
#5 0x0000000000b7e347 in event_active (ev=0x57dbbe0, res=1, ncalls=1) at /mnt/x25m/gval/r3483/extra/libevent/event.c:808
#6 0x0000000000b7e703 in timeout_process (base=0x57de200) at /mnt/x25m/gval/r3483/extra/libevent/event.c:900
#7 0x0000000000b7d969 in event_base_loop (base=0x57de200, flags=1) at /mnt/x25m/gval/r3483/extra/libevent/event.c:506
#8 0x0000000000b7d7fc in event_loop (flags=1) at /mnt/x25m/gval/r3483/extra/libevent/event.c:443
#9 0x00000000006afeed in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:592
#10 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#11 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 32 (Thread 28393):
#0 0x0000003fcc4cb186 in poll () from /lib64/libc.so.6
#1 0x0000000000539f1f in handle_connections_sockets () at /mnt/x25m/gval/r3483/sql/mysqld.cc:5198
#2 0x000000000053e936 in mysqld_main (argc=50, argv=0x576ca40) at /mnt/x25m/gval/r3483/sql/mysqld.cc:4638
#3 0x0000000000533383 in main (argc=11, argv=0x7fff5bdb4ab8) at /mnt/x25m/gval/r3483/sql/main.cc:24

Thread 31 (Thread 28426):
#0 0x0000003c462005b4 in ?? () from /usr/lib64/libaio.so.1
#1 0x0000000000a49e1c in os_aio_linux_collect (array=0x5d83f30, segment=0, seg_size=256) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4420
#2 0x0000000000a4a157 in os_aio_linux_handle (global_seg=0, message1=0x41c390e0, message2=0x41c390d8, type=0x41c390d0) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4553
#3 0x00000000009f2d63 in fil_aio_wait (segment=0) at /mnt/x25m/gval/r3483/storage/innobase/fil/fil0fil.c:4527
#4 0x000000000093ffa5 in io_handler_thread (arg=0x12df960) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0start.c:482
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 30 (Thread 28427):
#0 0x0000003c462005b4 in ?? () from /usr/lib64/libaio.so.1
#1 0x0000000000a49e1c in os_aio_linux_collect (array=0x5d91a90, segment=0, seg_size=256) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4420
#2 0x0000000000a4a157 in os_aio_linux_handle (global_seg=1, message1=0x40f380e0, message2=0x40f380d8, type=0x40f380d0) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4553
#3 0x00000000009f2d63 in fil_aio_wait (segment=1) at /mnt/x25m/gval/r3483/storage/innobase/fil/fil0fil.c:4527
#4 0x000000000093ffa5 in io_handler_thread (arg=0x12df968) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0start.c:482
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 29 (Thread 28428):
#0 0x0000003c462005b4 in ?? () from /usr/lib64/libaio.so.1
#1 0x0000000000a49e1c in os_aio_linux_collect (array=0x5d9f5f0, segment=0, seg_size=256) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4420
#2 0x0000000000a4a157 in os_aio_linux_handle (global_seg=2, message1=0x4263a0e0, message2=0x4263a0d8, type=0x4263a0d0) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4553
#3 0x00000000009f2d63 in fil_aio_wait (segment=2) at /mnt/x25m/gval/r3483/storage/innobase/fil/fil0fil.c:4527
#4 0x000000000093ffa5 in io_handler_thread (arg=0x12df970) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0start.c:482
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 28 (Thread 28429):
#0 0x0000003c462005b4 in ?? () from /usr/lib64/libaio.so.1
#1 0x0000000000a49e1c in os_aio_linux_collect (array=0x5d9f5f0, segment=1, seg_size=256) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4420
#2 0x0000000000a4a157 in os_aio_linux_handle (global_seg=3, message1=0x4303b0e0, message2=0x4303b0d8, type=0x4303b0d0) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4553
#3 0x00000000009f2d63 in fil_aio_wait (segment=3) at /mnt/x25m/gval/r3483/storage/innobase/fil/fil0fil.c:4527
#4 0x000000000093ffa5 in io_handler_thread (arg=0x12df978) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0start.c:482
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 27 (Thread 28430):
#0 0x0000003c462005b4 in ?? () from /usr/lib64/libaio.so.1
#1 0x0000000000a49e1c in os_aio_linux_collect (array=0x5dba950, segment=0, seg_size=256) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4420
#2 0x0000000000a4a157 in os_aio_linux_handle (global_seg=4, message1=0x43a3c0e0, message2=0x43a3c0d8, type=0x43a3c0d0) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4553
#3 0x00000000009f2d63 in fil_aio_wait (segment=4) at /mnt/x25m/gval/r3483/storage/innobase/fil/fil0fil.c:4527
#4 0x000000000093ffa5 in io_handler_thread (arg=0x12df980) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0start.c:482
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 26 (Thread 28431):
#0 0x0000003c462005b4 in ?? () from /usr/lib64/libaio.so.1
#1 0x0000000000a49e1c in os_aio_linux_collect (array=0x5dba950, segment=1, seg_size=256) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4420
#2 0x0000000000a4a157 in os_aio_linux_handle (global_seg=5, message1=0x4443d0e0, message2=0x4443d0d8, type=0x4443d0d0) at /mnt/x25m/gval/r3483/storage/innobase/os/os0file.c:4553
#3 0x00000000009f2d63 in fil_aio_wait (segment=5) at /mnt/x25m/gval/r3483/storage/innobase/fil/fil0fil.c:4527
#4 0x000000000093ffa5 in io_handler_thread (arg=0x12df988) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0start.c:482
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 25 (Thread 28441):
#0 0x0000003fccc0b150 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1 0x00000000008cf135 in safe_cond_timedwait (cond=0x5b92a58, mp=0x5b929e0, abstime=0x4583f060, file=0xc93e90 "/mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c", line=171) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:278
#2 0x0000000000a4cf81 in os_cond_wait_timed (cond=0x5b92a58, mutex=0x5b929e0, abstime=0x4583f060) at /mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c:171
#3 0x0000000000a4cf0e in os_event_wait_time_low (event=0x5b929e0, time_in_usec=1000000, reset_sig_count=1) at /mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c:743
#4 0x000000000093d5ca in srv_lock_timeout_thread (arg=0x0) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0srv.c:2274
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 24 (Thread 28442):
#0 0x0000003fccc0b150 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1 0x00000000008cf135 in safe_cond_timedwait (cond=0x5b92998, mp=0x5b92920, abstime=0x46240070, file=0xc93e90 "/mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c", line=171) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:278
#2 0x0000000000a4cf81 in os_cond_wait_timed (cond=0x5b92998, mutex=0x5b92920, abstime=0x46240070) at /mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c:171
#3 0x0000000000a4cf0e in os_event_wait_time_low (event=0x5b92920, time_in_usec=1000000, reset_sig_count=1) at /mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c:743
#4 0x000000000093d983 in srv_error_monitor_thread (arg=0x0) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0srv.c:2456
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 23 (Thread 28443):
#0 0x0000003fccc0b150 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1 0x00000000008cf135 in safe_cond_timedwait (cond=0x5b92b18, mp=0x5b92aa0, abstime=0x46c41070, file=0xc93e90 "/mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c", line=171) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:278
#2 0x0000000000a4cf81 in os_cond_wait_timed (cond=0x5b92b18, mutex=0x5b92aa0, abstime=0x46c41070) at /mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c:171
#3 0x0000000000a4cf0e in os_event_wait_time_low (event=0x5b92aa0, time_in_usec=5000000, reset_sig_count=1) at /mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c:743
#4 0x000000000093d226 in srv_monitor_thread (arg=0x0) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0srv.c:2124
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 22 (Thread 28444):
#0 0x0000003fccc0aee9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1 0x00000000008cef82 in safe_cond_wait (cond=0x57e8968, mp=0x57e88f0, file=0xc93e90 "/mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c", line=207) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:240
#2 0x0000000000a4cd4a in os_cond_wait (cond=0x57e8968, mutex=0x57e88f0) at /mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c:207
#3 0x0000000000a4ccc3 in os_event_wait_low (event=0x57e88f0, reset_sig_count=0) at /mnt/x25m/gval/r3483/storage/innobase/os/os0sync.c:634
#4 0x000000000093f054 in srv_master_thread (arg=0x0) at /mnt/x25m/gval/r3483/storage/innobase/srv/srv0srv.c:3067
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 21 (Thread 28631):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 20 (Thread 28632):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 19 (Thread 28633):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 18 (Thread 28634):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 17 (Thread 28635):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 16 (Thread 28636):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 15 (Thread 28637):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 14 (Thread 28639):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 13 (Thread 28640):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 12 (Thread 28641):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 11 (Thread 28642):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 10 (Thread 28643):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 9 (Thread 28644):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 8 (Thread 28645):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 7 (Thread 28646):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 6 (Thread 28647):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 5 (Thread 28648):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 4 (Thread 28649):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 3 (Thread 28650):
#0 0x0000003fccc0d4c4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1 0x0000003fccc08e50 in _L_lock_1233 () from /lib64/libpthread.so.0
#2 0x0000003fccc08dd3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3 0x00000000008cebc6 in safe_mutex_lock (mp=0x12c7f20, try_lock=0 '\000', file=0xbbb5e0 "/mnt/x25m/gval/r3483/sql/scheduler.cc", line=581) at /mnt/x25m/gval/r3483/mysys/thr_mutex.c:152
#4 0x00000000006afeb9 in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:581
#5 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#6 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 2 (Thread 28651):
#0 0x0000003fccc0e838 in do_sigwait () from /lib64/libpthread.so.0
#1 0x0000003fccc0e8dd in sigwait () from /lib64/libpthread.so.0
#2 0x0000000000538ce4 in signal_hand (arg=0x0) at /mnt/x25m/gval/r3483/sql/mysqld.cc:2739
#3 0x0000000000b2a95d in pfs_spawn_thread (arg=0x57e2030) at /mnt/x25m/gval/r3483/storage/perfschema/pfs.cc:1015
#4 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#5 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Thread 1 (Thread 28638):
#0 0x0000003fccc0bd02 in pthread_kill () from /lib64/libpthread.so.0
#1 0x00000000008c8393 in my_write_core (sig=11) at /mnt/x25m/gval/r3483/mysys/stacktrace.c:423
#2 0x00000000005395a7 in handle_segfault (sig=11) at /mnt/x25m/gval/r3483/sql/mysqld.cc:2546
#3 <signal handler called>
#4 0x0000000000b7ec1a in event_queue_insert (base=0x0, ev=0x57dbbe0, queue=8) at /mnt/x25m/gval/r3483/extra/libevent/event.c:948
#5 0x0000000000b7e347 in event_active (ev=0x57dbbe0, res=1, ncalls=1) at /mnt/x25m/gval/r3483/extra/libevent/event.c:808
#6 0x0000000000b7e703 in timeout_process (base=0x57de200) at /mnt/x25m/gval/r3483/extra/libevent/event.c:900
#7 0x0000000000b7d969 in event_base_loop (base=0x57de200, flags=1) at /mnt/x25m/gval/r3483/extra/libevent/event.c:506
#8 0x0000000000b7d7fc in event_loop (flags=1) at /mnt/x25m/gval/r3483/extra/libevent/event.c:443
#9 0x00000000006afeed in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:592
#10 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#11 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Valentine Gostev (longbow) wrote :

(gdb) bt
#0 0x0000003fccc0bd02 in pthread_kill () from /lib64/libpthread.so.0
#1 0x00000000008c8393 in my_write_core (sig=11) at /mnt/x25m/gval/r3483/mysys/stacktrace.c:423
#2 0x00000000005395a7 in handle_segfault (sig=11) at /mnt/x25m/gval/r3483/sql/mysqld.cc:2546
#3 <signal handler called>
#4 0x0000000000b7ec1a in event_queue_insert (base=0x0, ev=0x57dbbe0, queue=8) at /mnt/x25m/gval/r3483/extra/libevent/event.c:948
#5 0x0000000000b7e347 in event_active (ev=0x57dbbe0, res=1, ncalls=1) at /mnt/x25m/gval/r3483/extra/libevent/event.c:808
#6 0x0000000000b7e703 in timeout_process (base=0x57de200) at /mnt/x25m/gval/r3483/extra/libevent/event.c:900
#7 0x0000000000b7d969 in event_base_loop (base=0x57de200, flags=1) at /mnt/x25m/gval/r3483/extra/libevent/event.c:506
#8 0x0000000000b7d7fc in event_loop (flags=1) at /mnt/x25m/gval/r3483/extra/libevent/event.c:443
#9 0x00000000006afeed in libevent_thread_proc (arg=0x0) at /mnt/x25m/gval/r3483/sql/scheduler.cc:592
#10 0x0000003fccc0673d in start_thread () from /lib64/libpthread.so.0
#11 0x0000003fcc4d3f6d in clone () from /lib64/libc.so.6

Changed in percona-projects-qa:
status: New → Confirmed
milestone: none → 5.5.13-eb
Valentine Gostev (longbow) wrote :

core

Changed in percona-projects-qa:
status: Confirmed → In Progress
importance: Undecided → Critical
assignee: nobody → Laurynas Biveinis (laurynas-biveinis)
Changed in percona-projects-qa:
status: In Progress → Fix Committed
Changed in percona-projects-qa:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments